<?php

namespace App\Media\MSVideo\Containers;

// A container we dont know how to handle

use App\Media\MSVideo\Container;

class Unknown extends Container
{
	private string $container;

	public function __construct(int $offset,int $size,string $filename,string $container,bool $be,?string $data)
	{
		parent::__construct($offset,$size,$filename,$be,$data);

		$this->container = $container;

		// For debugging
		if (FALSE)
			$this->debug = hex_dump($data ?: $this->data());
	}
}